#ifndef LIBKYPRIVACY_DETECT_HPP
#define LIBKYPRIVACY_DETECT_HPP

#include <Python.h>
#include <string>

namespace kdk_privacy_detect {

class PrivacyDetect {
public:
    PrivacyDetect();
    ~PrivacyDetect();

    std::string analyzeText(const std::string& text);
    std::string anonymizeText(const std::string& text);
    void analyzeImage(const std::string& imagePath, const std::string& outputImagePath);

private:
    PyObject *pModule, *pClass, *pInstance;
};

}

#endif
